<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Team;

/**
 * TeamSearch represents the model behind the search form about `app\models\Team`.
 */
class TeamSearch extends Team
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'department_id', 'user_id', 'iq', 'visible'], 'integer'],
            [['name', 'name2', 'email', 'job', 'zodiac', 'soc_vk', 'soc_fb', 'soc_tw', 'soc_li', 'interests_caption', 'skils_caption', 'books_caption', 'films_caption', 'description', 'photo', 'photo_big'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Team::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,
            'department_id' => $this->department_id,
            'user_id' => $this->user_id,
            'iq' => $this->iq,
            'visible' => $this->visible,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'name2', $this->name2])
            ->andFilterWhere(['like', 'email', $this->email])
            ->andFilterWhere(['like', 'job', $this->job])
            ->andFilterWhere(['like', 'zodiac', $this->zodiac])
            ->andFilterWhere(['like', 'soc_vk', $this->soc_vk])
            ->andFilterWhere(['like', 'soc_fb', $this->soc_fb])
            ->andFilterWhere(['like', 'soc_tw', $this->soc_tw])
            ->andFilterWhere(['like', 'soc_li', $this->soc_li])
            ->andFilterWhere(['like', 'interests_caption', $this->interests_caption])
            ->andFilterWhere(['like', 'skils_caption', $this->skils_caption])
            ->andFilterWhere(['like', 'books_caption', $this->books_caption])
            ->andFilterWhere(['like', 'films_caption', $this->films_caption])
            ->andFilterWhere(['like', 'description', $this->description])
            ->andFilterWhere(['like', 'photo', $this->photo])
            ->andFilterWhere(['like', 'photo_big', $this->photo_big]);

        return $dataProvider;
    }
}
