<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "team_books".
 *
 * @property integer $id
 * @property integer $team_id
 * @property string $title
 * @property integer $cover
 */
class TeamBooks extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'team_books';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['team_id', 'title', 'cover'], 'required'],
            [['team_id', 'cover'], 'integer'],
            [['title'], 'string', 'max' => 120]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'team_id' => Yii::t('app', 'Team ID'),
            'title' => Yii::t('app', 'Title'),
            'cover' => Yii::t('app', 'Cover'),
        ];
    }
}
