<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "team_films".
 *
 * @property integer $id
 * @property integer $team_id
 * @property string $title
 * @property string $cover
 *
 * @property Team $team
 */
class TeamFilms extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'team_films';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['team_id', 'title', 'cover'], 'required'],
            [['team_id'], 'integer'],
            [['title'], 'string', 'max' => 120],
            [['cover'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'team_id' => Yii::t('app', 'Team ID'),
            'title' => Yii::t('app', 'Title'),
            'cover' => Yii::t('app', 'Cover'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTeam()
    {
        return $this->hasOne(Team::className(), ['id' => 'team_id']);
    }
}
