<?php

/* @var $this \yii\web\View */
/* @var $content string */

use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use frontend\assets\AppAsset;
use common\widgets\Alert;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta charset="<?= Yii::$app->charset ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="language" content="ru" />
	<link type="image/x-icon" href="favicon.ico" rel="icon" />
	<?= Html::csrfMetaTags() ?>
	<title><?= Html::encode($this->title) ?></title>
	<script type="text/javascript" src="http://code.jquery.com/jquery-1.11.0.min.js"></script>
	<?php $this->head() ?>
	<script type="text/javascript">
		$(document).ready(function(){
			$('.fb').css('background-color','#354f89');
			$('.gp, .vk , .tw, .ok ').css('background-color','#bcbcbc');
			$('#ok_group_widget').stop(false, true).fadeOut(0);
			$('#vk_2').stop(false, true).fadeOut(0);
			$('#twitter').stop(false, true).fadeOut(0);
			$('#google_plus').stop(false, true).fadeOut(0);
			$('.fb-page').stop(false, true).height(320).fadeIn(0);
			$('.fb_iframe_widget ').height(320);
		$('.gp').click(function(e) {
			e.preventDefault();
			$('.gp').css('background-color','#c72f21');
			$('.tw, .vk, .fb, .ok').css('background-color','#bcbcbc');
			$('#google_plus').stop(false, true).fadeIn(0);
			$('#twitter').stop(false, true).fadeOut(0);
			$('.fb-page').stop(false, true).fadeOut(0);
			$('#ok_group_widget').stop(false, true).fadeOut(0);
			$('#vk_2').stop(false, true).fadeOut(0);
		});
		$('.tw').click(function(e) {
			e.preventDefault();
			$('.tw').css('background-color','#6398c9');
			$('.gp, .vk , .fb, .ok ').css('background-color','#bcbcbc');
			$('#google_plus').stop(false, true).fadeOut(0);
			$('#twitter').stop(false, true).fadeIn(0);
			$('.fb-page').stop(false, true).fadeOut(0);
			$('#ok_group_widget').stop(false, true).fadeOut(0);
			$('#vk_2').stop(false, true).fadeOut(0);
		});
		$('.vk').click(function(e) {
			e.preventDefault();
			$('.vk').css('background-color','#065baa');
			$('.gp, .tw , .fb, .ok ').css('background-color','#bcbcbc');
			$('#google_plus').stop(false, true).fadeOut(0);

			$('#vk_2').stop(false, true).fadeIn(0);
			$('#vkwidget1 , #vk_2 ').height(278);
			// $('#vk_2').height(278);
			$('.fb-page').stop(false, true).fadeOut(0);
			$('#twitter').stop(false, true).fadeOut(0);
			$('#ok_group_widget').stop(false, true).fadeOut(0);
		});
		$('.ok').click(function(e) {
			e.preventDefault();
			$('.ok').css('background-color','#f88f15');
			$('.gp, .vk , .tw, .fb ').css('background-color','#bcbcbc');
			$('#google_plus').stop(false, true).fadeOut(0);
			$('#vk_2').stop(false, true).fadeOut(0);
			$('.fb-page').stop(false, true).fadeOut(0);
			$('#ok_group_widget').stop(false, true).fadeIn(0);
			$('#twitter').stop(false, true).fadeOut(0);
		});
		$('.fb').click(function(e) {
			e.preventDefault();
			$('.fb').css('background-color','#354f89');
			$('.gp, .vk , .tw, .ok ').css('background-color','#bcbcbc');
			$('#google_plus').stop(false, true).fadeOut(0);
			$('#vk_2').stop(false, true).fadeOut(0);
			$('#twitter').stop(false, true).fadeOut(0);
			$('#ok_group_widget').stop(false, true).fadeOut(0);
			$('.fb-page').stop(false, true).fadeIn(0);
		});
	});
	</script>
	<script src="https://apis.google.com/js/platform.js" async defer>
		{lang: 'ru'}
	</script>
	<script>
		!function (d, id, did, st) {
			var js = d.createElement("script");
			js.src = "http://connect.ok.ru/connect.js";
			js.onload = js.onreadystatechange = function () {
				if (!this.readyState || this.readyState == "loaded" || this.readyState == "complete") {
					if (!this.executed) {
						this.executed = true;
						setTimeout(function () {
							OK.CONNECT.insertGroupWidget(id,did,st);
						}, 0);
					}
				}}
			d.documentElement.appendChild(js);
		}(document,"ok_group_widget","52277933965492","{width:280,height:278}");
	</script>
	<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
</head>
<body>
<?php $this->beginBody() ?>

<div id="wrapper">
	<div class="wrapper-holder">
		<div id="content">
			<div class="content-wrapper">

				<?= $content?>

				<a name="contact" id="contact"></a>

				<div class="block-contact">
					<div class="content-holder">
						<div class="block-title">
							<h2 style="color: #1d275b;">Контакты</h2>
							<p style="color: #1d275b;">Будем <strong>рады</strong> вас видеть</p>
							<img src="http://artweb.ua/wp-content/themes/artweb_home/images14/portfolio.png" width="181" height="16" alt="portfolio">
						</div>


						<div class="data" style="width:390px;">

							<div class="social" style="background:white;width:300px;height:347px;float:left;"  >
								<ul  >
									<li><a class="fb" id = "fb" >facebook.com</a></li>
									<li><a class="vk" id = "vk" target="_blank">vk.com</a></li>
									<li><a class="gp" id = "gp" href="https://plus.google.com/+ArtwebUaAgency" target="_blank">plus.google.com</a></li>
									<li><a class="tw" id = "tw"  target="_blank">twitter.com</a></li>
									<li><a class="ok" id = "ok"  target="_blank">odnoklassniki.ru</a></li>

								</ul>

								<div style="margin-top:10px;margin-left: 10px;">

									<div id="fb-root"></div>

									<script>(function(d, s, id) {
											var js, fjs = d.getElementsByTagName(s)[0];
											if (d.getElementById(id)) return;
											js = d.createElement(s); js.id = id;
											js.src = "//connect.facebook.net/ru_RU/sdk.js#xfbml=1&version=v2.3";
											fjs.parentNode.insertBefore(js, fjs);
										}(document, 'script', 'facebook-jssdk'));
									</script>


									<div style="" class="fb-page" data-href="https://www.facebook.com/Artweb.ua" data-width="280" data-height="278" data-hide-cover="false" data-show-facepile="true" data-show-posts="true"><div class="fb-xfbml-parse-ignore"><blockquote cite="https://www.facebook.com/Artweb.ua"><a href="https://www.facebook.com/Artweb.ua">ArtWeb</a></blockquote></div></div>
									<script type="text/javascript" src="//vk.com/js/api/openapi.js?116"></script>
									<script type="text/javascript">VK.Widgets.Group("vk_groups", {mode: 0, width: "280", height: "278", color1: 'FFFFFF', color2: '2B587A', color3: '5B7FA6'}, 73533922);</script>

									<div id = "vk_2" >
										<div id="vk_groups"  ></div>
									</div>

									<div id="ok_group_widget">
									</div>
									<div id ='google_plus'>
										<div class="g-page" data-width="280" data-href="https://plus.google.com/116374846433805904755" data-showtagline="false" data-showcoverphoto="false" data-rel="publisher"></div>
									</div>

									<div id = 'twitter' >
										<div  class="twitter-timeline"  width="280" height="278"  data-widget-id="601029599263330304"></div>
									</div>

								</div>

							</div>



						</div>

					</div>
					<div class="contact" style="float:left;width: 310px;  margin-top: 90px;">
						<ul>
							<li class="phone contact_1" style="font-size: 13px;margin-left: 4px;">+38 (044) 593-73-76</li>
							<li class="callback contact_2" style="font-size: 13px; margin-left: 8px;/* margin-left: -15px; */"><a href="#">обратный звонок</a></li>
							<li class="address contact_1" style="margin-left: 4px;font-size: 13px;">г. Киев, ул. Срибнокольская, 2а,<br> офис 81а</li>
							<li class="skype contact_2" style="font-size: 13px; /* margin-left: -15px; */margin-top: 19px;margin-left: 7px;"><a href="skype:ArtWeb.ua?chat">ArtWeb.ua</a></li>

						</ul>
					</div>

					<div class="form-contact">
						<h3>У Вас еще остались вопросы?</h3>
						<form class="validate" action="request/handler.php" method="post">
							<div>
								<div class="form-item">
									<input class="form-text" type="text" name="contact_name" placeholder="Имя" minlength="2" required />
								</div>
								<div class="form-item">
									<input class="form-text" type="text" name="contact_email" placeholder="Email" required />
								</div>
								<div class="form-item">
									<textarea name="contact_text" placeholder="Текст сообщения" required></textarea>
								</div>
								<div class="form-actions">
									<input class="form-submit" type="submit" value="Отправить" name="submit" />
								</div>
								<input type="hidden" name="name" value="contact" />
							</div>
						</form>
					</div>
					<div class="clearfix"></div>
				</div>

<!--				<div class="block-contact">-->
<!--					<div class="content-holder">-->
<!--						<div class="block-title">-->
<!--							<h2 style="color: #1d275b;">Контакты</h2>-->
<!--							<p style="color: #1d275b;">Будем <strong>рады</strong> вас видеть</p>-->
<!--							<img src="/images/portfolio.png" width="181" height="16" alt="portfolio"/>-->
<!--						</div>-->
<!--						<div class="data">-->
<!--							<div class="contact">-->
<!--								<ul>-->
<!--									<li class="phone contact_1" style="font-size: 13px;">+38 (044) 593-73-76</li>-->
<!--									<li class="callback contact_2" style="font-size: 13px; margin-left: -15px;"><a href="#">обратный звонок</a></li>-->
<!--									<li class="address contact_1" style="font-size: 13px;">г. Киев, ул. Срибнокольская, 2а,</br> офис 81а</li>-->
<!--									<li class="skype contact_2" style="font-size: 13px; margin-left: -15px;"><a href="skype:ArtWeb.ua?chat">ArtWeb.ua</a></li>-->
<!--								</ul>-->
<!--								<div class="clearfix"></div>-->
<!--							</div>-->
<!--							<div class="social">-->
<!--								<h3 style="font-size: 13px;color: #1d275b;">Мы в соцсетях:</h3>-->
<!--								<ul>-->
<!--									<li><a class="vk" href="http://vk.com/artwebua" target="_blank">vk.com</a></li>-->
<!--									<li><a class="fb" href="https://www.facebook.com/ArtWeb.ua" target="_blank">facebook.com</a></li>-->
<!--									<li><a class="gp" href="https://plus.google.com/+ArtwebUaAgency" target="_blank">plus.google.com</a></li>-->
<!--									<li><a class="tw" href="https://twitter.com/ArtWeb_ua" target="_blank">twitter.com</a></li>-->
<!--									<li><a class="ok" href="http://www.odnoklassniki.ru/group/52277933965492" target="_blank">odnoklassniki.ru</a></li>-->
<!--								</ul>-->
<!--							</div>-->
<!--						</div>-->
<!--						<div class="form-contact">-->
<!--							<h3>У Вас еще остались вопросы?</h3>-->
<!--							<form class="validate" action="request/handler.php" method="post">-->
<!--								<div>-->
<!--									<div class="form-item">-->
<!--										<input class="form-text" type="text" name="contact_name" placeholder="Имя" minlength="2" required />-->
<!--									</div>-->
<!--									<div class="form-item">-->
<!--										<input class="form-text" type="text" name="contact_email" placeholder="Email" required />-->
<!--									</div>-->
<!--									<div class="form-item">-->
<!--										<textarea name="contact_text" placeholder="Текст сообщения" required></textarea>-->
<!--									</div>-->
<!--									<div class="form-actions">-->
<!--										<input class="form-submit" type="submit" value="Отправить" name="submit" />-->
<!--									</div>-->
<!--									<input type="hidden" name="name" value="contact" />-->
<!--								</div>-->
<!--							</form>-->
<!--						</div>-->
<!--						<div class="clearfix"></div>-->
<!--					</div>-->
<!--				</div>-->

				<div class="block-map">
					<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d10173.045092840508!2d30.627170556414775!3d50.39896819594625!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x40d4c5b20aad7405%3A0x53c7bd02fceedd46!2sSribnokilska+St%2C+2%D0%90%2C+Kyiv%2C+Kyiv+city%2C+Ukraine!5e0!3m2!1sen!2sua!4v1409560223819" width="100%" height="380" frameborder="0" style="border:0"></iframe>
				</div>

			</div>
		</div>
	</div>
	<div id="header">
		<div class="header-holder">
			<div class="logo">
				<a href="/">
					<img src="/images/logo.png" width="122" height="77" alt=""/>
				</a>
				<div class="hello">
					Мы <strong>заставим</strong><br /> онлайн-маркетинг<br /> <strong>работать</strong>
				</div>
			</div>
			<div class="contact">
				<ul>
					<li class="phone">+38 (044) 593-73-76</li>
					<li class="callback"><a href="#">обратный звонок</a></li>
					<li class="address">г. Киев, ул. Срибнокольская, 2а, офис 81а</li>
					<li class="skype"><a href="skype:ArtWeb.ua?chat">ArtWeb.ua</a></li>
				</ul>
			</div>
			<div class="slogan">
				Сегодня звонок, <strong>Завтра отчет!</strong>
			</div>
		</div>
		<div id="nav">
			<div class="nav-holder">
				<ul>
					<li class="first"><a href="/#portfolio">Почему мы</a></li>
					<li class="first"><a href="/#portfolio">Портфолио</a></li>
					<li class="last"><a href="/team">Команда</a></li>
					<li class="last"><a href="/vacancies">Вакансии</a></li>
					<li class="last"><a href="/contact">Контакты</a></li>
				</ul>
				<div class="calculate">
					<a href="#">Рассчитать стоимость</a>
				</div>
			</div>
		</div>
	</div>
	<div id="footer">
		<div class="footer-wrapper">
			<div class="footer-frame">
				<div class="footer-holder">
					<div class="copyright">
						<a href="/"><img src="/images/logo_2.png" width="44" height="43" alt="artweb.ua"/></a>
						<p>&copy; Все права защищены, 2003 — 2015</p></div>
				</div>
			</div>
		</div>
	</div>
</div>
<!--</div>-->

<!-- dialog -->
<div class="dialog">
	<div class="form-callback">
		<form class="validate" action="request/handler.php" method="post">
			<div class="form-wrapper">
				<div class="form-item">
					<label for="callback_phone"><span class="required">*</span> Телефон</label>
					<input class="form-text" type="text" name="callback_phone" id="callback_phone" minlength="7" required />
				</div>
				<div class="form-item">
					<label for="callback_text">Укажите, пожалуйста, Ваше имя и ссылку на сайт</label>
					<textarea name="callback_text" id="callback_text"></textarea>
				</div>
				<div class="form-actions">
					<input class="form-submit" type="submit" value="Отправить" name="submit" />
				</div>
				<input type="hidden" name="name" value="callback" />
			</div>
		</form>
	</div>
</div>
<div class="calculate-dialog">
	<div class="form-calculate">
		<iframe src="/count_form" style=" border: none; width: 900px; height: 520px;">
			Ваш браузер не поддерживает плавающие фреймы!
		</iframe>
	</div>
</div>

<?php $this->endBody() ?>

</body>
</html>
<?php $this->endPage() ?>
